import { jsx } from "@builder.io/qwik/jsx-runtime";
import { isEditing } from "../../functions/is-editing.qwik.mjs";
import { component$ } from "@builder.io/qwik";
const ImgComponent = component$((props) => {
  return /* @__PURE__ */ jsx("img", {
    style: {
      objectFit: props.backgroundSize || "cover",
      objectPosition: props.backgroundPosition || "center"
    },
    alt: props.altText,
    src: props.imgSrc || props.image,
    ...props.attributes
  }, isEditing() && props.imgSrc || "default-key");
});
export {
  ImgComponent,
  ImgComponent as default
};
