"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const contentVariants = require("../../components/content-variants/content-variants.qwik.cjs");
const getClassPropName = require("../../functions/get-class-prop-name.qwik.cjs");
const symbol_helpers = require("./symbol.helpers.qwik.cjs");
const qwik = require("@builder.io/qwik");
const setContent = function setContent2(props, state, blocksWrapper, contentWrapper, className) {
  if (state.contentToUse)
    return;
  symbol_helpers.fetchSymbolContent({
    symbol: props.symbol,
    builderContextValue: props.builderContext
  }).then((newContent) => {
    if (newContent) {
      state.contentToUse = newContent;
    }
  });
};
const Symbol$1 = qwik.component$((props) => {
  var _a, _b, _c, _d, _e, _f;
  const blocksWrapper = qwik.useComputed$(() => {
    return "div";
  });
  const contentWrapper = qwik.useComputed$(() => {
    return "div";
  });
  const className = qwik.useComputed$(() => {
    var _a2, _b2;
    return [
      ...[
        props.attributes[getClassPropName.getClassPropName()]
      ],
      "builder-symbol",
      ((_a2 = props.symbol) == null ? void 0 : _a2.inline) ? "builder-inline-symbol" : void 0,
      ((_b2 = props.symbol) == null ? void 0 : _b2.dynamic) || props.dynamic ? "builder-dynamic-symbol" : void 0
    ].filter(Boolean).join(" ");
  });
  const state = qwik.useStore({
    contentToUse: (_a = props.symbol) == null ? void 0 : _a.content
  });
  qwik.useTask$(({ track }) => {
    track(() => props.symbol);
    setContent(props, state);
  });
  return /* @__PURE__ */ jsxRuntime.jsx("div", {
    ...props.attributes,
    class: className.value,
    children: /* @__PURE__ */ jsxRuntime.jsx(contentVariants.ContentVariants, {
      nonce: props.builderContext.nonce,
      isNestedRender: true,
      apiVersion: props.builderContext.apiVersion,
      apiKey: props.builderContext.apiKey,
      context: {
        ...props.builderContext.context,
        symbolId: (_b = props.builderBlock) == null ? void 0 : _b.id
      },
      customComponents: Object.values(props.builderComponents),
      data: {
        ...(_c = props.symbol) == null ? void 0 : _c.data,
        ...props.builderContext.localState,
        ...(_e = (_d = state.contentToUse) == null ? void 0 : _d.data) == null ? void 0 : _e.state
      },
      canTrack: props.builderContext.canTrack,
      model: (_f = props.symbol) == null ? void 0 : _f.model,
      content: state.contentToUse,
      linkComponent: props.builderLinkComponent,
      blocksWrapper: blocksWrapper.value,
      contentWrapper: contentWrapper.value
    })
  });
});
exports.Symbol = Symbol$1;
exports.default = Symbol$1;
exports.setContent = setContent;
