"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const evaluate = require("../../functions/evaluate/evaluate.qwik.cjs");
const qwik = require("@builder.io/qwik");
const Text = qwik.component$((props) => {
  const processedText = qwik.useComputed$(() => {
    var _a;
    const context = props.builderContext;
    const { context: contextContext, localState, rootState, rootSetState } = context;
    return String(((_a = props.text) == null ? void 0 : _a.toString()) || "").replace(/{{([^}]+)}}/g, (match, group) => evaluate.evaluate({
      code: group,
      context: contextContext,
      localState,
      rootState,
      rootSetState
    }));
  });
  return /* @__PURE__ */ jsxRuntime.jsx("div", {
    class: "builder-text",
    dangerouslySetInnerHTML: processedText.value,
    style: {
      outline: "none"
    }
  });
});
exports.Text = Text;
exports.default = Text;
