import { jsx } from "@builder.io/qwik/jsx-runtime";
import { evaluate } from "../../functions/evaluate/evaluate.qwik.mjs";
import { component$, useComputed$ } from "@builder.io/qwik";
const Text = component$((props) => {
  const processedText = useComputed$(() => {
    var _a;
    const context = props.builderContext;
    const { context: contextContext, localState, rootState, rootSetState } = context;
    return String(((_a = props.text) == null ? void 0 : _a.toString()) || "").replace(/{{([^}]+)}}/g, (match, group) => evaluate({
      code: group,
      context: contextContext,
      localState,
      rootState,
      rootSetState
    }));
  });
  return /* @__PURE__ */ jsx("div", {
    class: "builder-text",
    dangerouslySetInnerHTML: processedText.value,
    style: {
      outline: "none"
    }
  });
});
export {
  Text,
  Text as default
};
