"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const qwik = require("@builder.io/qwik");
const isEditing = require("../../../functions/is-editing.qwik.cjs");
const FormInputComponent = qwik.component$((props) => {
  return /* @__PURE__ */ qwik.createElement("input", {
    ...props.attributes,
    key: isEditing.isEditing() && props.defaultValue ? props.defaultValue : "default-key",
    placeholder: props.placeholder,
    type: props.type,
    name: props.name,
    value: props.value,
    defaultValue: props.defaultValue,
    required: props.required
  });
});
exports.FormInputComponent = FormInputComponent;
exports.default = FormInputComponent;
