"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const isEditing = require("../../functions/is-editing.qwik.cjs");
const qwik = require("@builder.io/qwik");
const ImgComponent = qwik.component$((props) => {
  return /* @__PURE__ */ jsxRuntime.jsx("img", {
    style: {
      objectFit: props.backgroundSize || "cover",
      objectPosition: props.backgroundPosition || "center"
    },
    alt: props.altText,
    src: props.imgSrc || props.image,
    ...props.attributes
  }, isEditing.isEditing() && props.imgSrc || "default-key");
});
exports.ImgComponent = ImgComponent;
exports.default = ImgComponent;
