"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const builder_context = require("../../context/builder.context.qwik.cjs");
const components_context = require("../../context/components.context.qwik.cjs");
const block = require("../block/block.qwik.cjs");
const blocksWrapper = require("./blocks-wrapper.qwik.cjs");
const qwik = require("@builder.io/qwik");
const Blocks = qwik.component$((props) => {
  var _a, _b;
  const builderContext = qwik.useContext(builder_context);
  const componentsContext = qwik.useContext(components_context);
  return /* @__PURE__ */ jsxRuntime.jsx(blocksWrapper.BlocksWrapper, {
    blocks: props.blocks,
    parent: props.parent,
    path: props.path,
    styleProp: props.styleProp,
    classNameProp: props.className,
    BlocksWrapper: ((_a = props.context) == null ? void 0 : _a.BlocksWrapper) || (builderContext == null ? void 0 : builderContext.BlocksWrapper),
    BlocksWrapperProps: ((_b = props.context) == null ? void 0 : _b.BlocksWrapperProps) || (builderContext == null ? void 0 : builderContext.BlocksWrapperProps),
    children: props.blocks ? (props.blocks || []).map((block$1) => {
      return /* @__PURE__ */ jsxRuntime.jsx(block.default, {
        block: block$1,
        linkComponent: props.linkComponent,
        context: props.context || builderContext,
        registeredComponents: props.registeredComponents || (componentsContext == null ? void 0 : componentsContext.registeredComponents)
      }, block$1.id);
    }) : null
  });
});
exports.Blocks = Blocks;
exports.default = Blocks;
