"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const shouldForceBrowserRuntimeInNode = require("../should-force-browser-runtime-in-node.qwik.cjs");
const ivm = require("isolated-vm");
const nodeRuntime = require("./node-runtime.qwik.cjs");
const initializeNodeRuntime = (args) => {
  if (shouldForceBrowserRuntimeInNode.shouldForceBrowserRuntimeInNode({
    shouldLogWarning: true
  })) {
    return;
  }
  const { ivmIsolateOptions } = args || {};
  nodeRuntime.setIvm(ivm, ivmIsolateOptions);
};
exports.initializeNodeRuntime = initializeNodeRuntime;
