"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const jsxRuntime = require("@builder.io/qwik/jsx-runtime");
const qwik = require("@builder.io/qwik");
const isEditing = require("../../../functions/is-editing.qwik.cjs");
const SelectComponent = qwik.component$((props) => {
  return /* @__PURE__ */ qwik.createElement("select", {
    ...props.attributes,
    value: props.value,
    key: isEditing.isEditing() && props.defaultValue ? props.defaultValue : "default-key",
    defaultValue: props.defaultValue,
    name: props.name,
    required: props.required
  }, (props.options || []).map((option, index) => {
    return /* @__PURE__ */ jsxRuntime.jsx("option", {
      value: option.value,
      children: option.name || option.value
    }, `${option.name}-${index}`);
  }));
});
exports.SelectComponent = SelectComponent;
exports.default = SelectComponent;
