"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const helpers = require("../helpers.qwik.cjs");
const runInBrowser = ({ code, builder, context, event, localState, rootSetState, rootState }) => {
  const functionArgs = helpers.getFunctionArguments({
    builder,
    context,
    event,
    state: helpers.flattenState({
      rootState,
      localState,
      rootSetState
    })
  });
  return new Function(...functionArgs.map(([name]) => name), code)(...functionArgs.map(([, value]) => value));
};
exports.runInBrowser = runInBrowser;
