"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const getClassPropName = require("./get-class-prop-name.qwik.cjs");
const getStyle = require("./get-style.qwik.cjs");
const transformBlockProperties = require("./transform-block-properties.qwik.cjs");
const extractRelevantRootBlockProperties = (block) => {
  return {
    href: block.href
  };
};
function getBlockProperties({ block, context }) {
  var _a;
  const properties = {
    ...extractRelevantRootBlockProperties(block),
    ...block.properties,
    "builder-id": block.id,
    style: getStyle.getStyle({
      block,
      context
    }),
    [getClassPropName.getClassPropName()]: [
      block.id,
      "builder-block",
      block.class,
      (_a = block.properties) == null ? void 0 : _a.class
    ].filter(Boolean).join(" ")
  };
  return transformBlockProperties.transformBlockProperties({
    properties,
    context,
    block
  });
}
exports.getBlockProperties = getBlockProperties;
