import { jsx } from "@builder.io/qwik/jsx-runtime";
import builderContext from "../../../context/builder.context.qwik.mjs";
import Block from "../block.qwik.mjs";
import { component$, useStore, useContextProvider } from "@builder.io/qwik";
const RepeatedBlock = component$((props) => {
  const state = useStore({
    store: props.repeatContext
  });
  useContextProvider(builderContext, state.store);
  return /* @__PURE__ */ jsx(Block, {
    block: props.block,
    context: state.store,
    registeredComponents: props.registeredComponents,
    linkComponent: props.linkComponent
  });
});
export {
  RepeatedBlock,
  RepeatedBlock as default
};
