import { jsx } from "@builder.io/qwik/jsx-runtime";
import builderContext from "../../context/builder.context.qwik.mjs";
import ComponentsContext from "../../context/components.context.qwik.mjs";
import Block from "../block/block.qwik.mjs";
import { BlocksWrapper } from "./blocks-wrapper.qwik.mjs";
import { component$, useContext } from "@builder.io/qwik";
const Blocks = component$((props) => {
  var _a, _b;
  const builderContext$1 = useContext(builderContext);
  const componentsContext = useContext(ComponentsContext);
  return /* @__PURE__ */ jsx(BlocksWrapper, {
    blocks: props.blocks,
    parent: props.parent,
    path: props.path,
    styleProp: props.styleProp,
    classNameProp: props.className,
    BlocksWrapper: ((_a = props.context) == null ? void 0 : _a.BlocksWrapper) || (builderContext$1 == null ? void 0 : builderContext$1.BlocksWrapper),
    BlocksWrapperProps: ((_b = props.context) == null ? void 0 : _b.BlocksWrapperProps) || (builderContext$1 == null ? void 0 : builderContext$1.BlocksWrapperProps),
    children: props.blocks ? (props.blocks || []).map((block) => {
      return /* @__PURE__ */ jsx(Block, {
        block,
        linkComponent: props.linkComponent,
        context: props.context || builderContext$1,
        registeredComponents: props.registeredComponents || (componentsContext == null ? void 0 : componentsContext.registeredComponents)
      }, block.id);
    }) : null
  });
});
export {
  Blocks,
  Blocks as default
};
